Self Service download: "This App must be associated with a JAMF pro server"

Maisonmoderne
New Contributor

Hi,

When trying to download Self Service from the JSS (JAMF cloud), I am met with the above error message. I have performed this ask previously with on premise solutions and had no problem - but it seems unless I automatically install it (which I don't want to do as it will install for everyone) I cannot use the app and test out the functionality.

Is there a way around this? 934b32c0792044e68e29861560a71fde

1 ACCEPTED SOLUTION

mschroder
Valued Contributor

Is the device you installed this one enrolled to a JSS?

View solution in original post

6 REPLIES 6

mschroder
Valued Contributor

Is the device you installed this one enrolled to a JSS?

View solution in original post

Maisonmoderne
New Contributor

Thanks @mschroder - no, it isn't as I don't want to enroll my own machine....I am guessing I have to for this to work?

Chris_Hafner
Valued Contributor II

Yes. You have to be enrolled to utilize Self-Service.

sbrammer
New Contributor III

i am working on a iOS device and it's enrolled in Jamf Cloud, and i am getting the same error as the OP. I am just getting started as i am about to migrate around 100 iOS devices from another MDM.

Tribruin
Contributor III
Contributor III

@sbrammer , how are you installing Self Service? If are using Device Assignment, make sure you setup App Configuration tab and add the proper config. See this page in docs: Self Service in iOS

alessio_tedesco
New Contributor III

We are having the same issues on iPads and iPhones, I noticed that the the issue is occurring after iOS updates, resetting the device and re-enrolling it in pre-stage resolves the issue, but this is not feasible to do .